### Virtual Method

# Meta Plugin kill_window_effects

#### Declaration [src]

    void
    kill_window_effects (
      MetaPlugin* plugin,
      MetaWindowActor* actor
    )

#### Description [src]

Virtual function called when the effects on `actor` need to be killed prematurely; the plugin must call the `completed()` callback as if the effect terminated naturally.

#### Parameters

`actor`

  Type: `MetaWindowActor`

  A `MetaWindowActor`.

  The data is owned by the caller of the method.